/**
 * OperationType.java
 *
 * File generated from the core::OperationType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OperationType.
 *
 */

@XmlType(name = "OperationType")
@XmlEnum
@XmlRootElement(name = "OperationType")
public enum OperationType {
	@XmlEnumValue("add")
	ADD("add"),
	@XmlEnumValue("delete")
	DELETE("delete"),
	@XmlEnumValue("replace")
	REPLACE("replace");
	
	private final String value;

    OperationType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static OperationType fromValue(String v) {
        for (OperationType c: OperationType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}